> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get List Of Voices

> Returns the list of all enabled for both system & owned voices



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json get /api/v1/voice/voices
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/voice/voices:
    get:
      tags:
        - Voice
      summary: Get List Of Voices
      description: Returns the list of all enabled for both system & owned voices
      operationId: get_list_of_voices_api_v1_voice_voices_get
      parameters:
        - name: me
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Me
        - name: language
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Language
        - name: provider
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/IProviderEnum'
              - type: 'null'
            title: Provider
        - name: provider_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Provider Id
        - name: owner_type
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/IOwnerType'
              - type: 'null'
            title: Owner Type
        - name: search_term
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search Term
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            default: 50
            title: Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    IProviderEnum:
      type: string
      enum:
        - openai
        - elevenlabs
        - azure_speech
        - cartesia
        - playht
      title: IProviderEnum
    IOwnerType:
      type: string
      enum:
        - user
        - system
      title: IOwnerType
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````